ranges_algobase.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Typedefs

template<typename _Iter1 , typename _Iter2 >
using | std::ranges::copy_backward_result = in_out_result< _Iter1, _Iter2 >
template<typename _Iter , typename _Out >
using | std::ranges::copy_n_result = in_out_result< _Iter, _Out >
template<typename _Iter , typename _Out >
using | std::ranges::copy_result = in_out_result< _Iter, _Out >
template<typename _Iter1 , typename _Iter2 >
using | std::ranges::move_backward_result = in_out_result< _Iter1, _Iter2 >
template<typename _Iter , typename _Out >
using | std::ranges::move_result = in_out_result< _Iter, _Out >

## Functions

copy_result< _Iter, _Out > | std::ranges::__copy_or_move (_Iter __first, _Sent __last, _Out __result)
copy_backward_result< _Iter, _Out > | std::ranges::__copy_or_move_backward (_Iter __first, _Sent __last, _Out __result)
template<bool _IsMove, bidirectional_iterator _Iter, sentinel_for< _Iter > _Sent, bidirectional_iterator _Out>
| std::ranges::requires (_IsMove ? indirectly_movable< _Iter, _Out > :indirectly_copyable< _Iter, _Out >) const expr __conditional_t< _IsMove

## Variables

template<typename _Tp >
constexpr bool | std::ranges::__detail::__is_move_iterator
template<typename _Iterator >
constexpr bool | std::ranges::__detail::__is_move_iterator< move_iterator< _Iterator > >
template<typename _Tp >
constexpr bool | std::ranges::__detail::__is_normal_iterator
template<typename _Tp >
constexpr bool | std::ranges::__detail::__is_reverse_iterator
template<typename _Iterator >
constexpr bool | std::ranges::__detail::__is_reverse_iterator< reverse_iterator< _Iterator > >
constexpr __copy_fn | std::ranges::copy
constexpr __copy_backward_fn | std::ranges::copy_backward
constexpr __copy_n_fn | std::ranges::copy_n
constexpr __equal_fn | std::ranges::equal
constexpr __fill_fn | std::ranges::fill
constexpr __fill_n_fn | std::ranges::fill_n
constexpr __move_fn | std::ranges::move
constexpr __move_backward_fn | std::ranges::move_backward
| std::ranges::move_backward_result< _Iter, _Out >
| std::ranges::move_result< _Iter, _Out >

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <algorithm>.

Definition in file ranges_algobase.h.